package lt.bit.world.servlets;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import lt.bit.dao.CountryDAO;
import lt.bit.helper.Counter;
import lt.bit.models.Country;

/**
 * Servlet implementation class CountryEdit
 */
@WebServlet("/CountryEdit")
public class CountryEdit extends HttpServlet {
	private static final long serialVersionUID = 1L;
	
	private CountryDAO countryDAO=new CountryDAO();
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public CountryEdit() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		Counter.setCounter(request.getSession());
		
		Country c=countryDAO.getCountry(request.getParameter("code"));
		request.setAttribute("c", c);
		
		
		
		
		RequestDispatcher dispatcher=request.getRequestDispatcher("/countryEdit.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		Country c=countryDAO.getCountry(request.getParameter("code"));
		request.setAttribute("c", c);
		
		c.setName(request.getParameter("name"));
		c.setRegion(request.getParameter("region"));
		c.setContinent(request.getParameter("continent"));
		c.setSurfaceArea(Double.parseDouble(request.getParameter("surfaceArea")));
		c.setPopulation(Integer.parseInt(request.getParameter("population")));
		c.setLifeExpectancy(Double.parseDouble(request.getParameter("lifeExpectancy")));
		
		countryDAO.updateCountry(c);
		
		response.sendRedirect(request.getContextPath()+"/");
		
	}

}
